.TH pico 1 "Version 2.9"
.SH Name
pico \- simple text editor in the style of the Pine Composer
.SH Syntax
.B pico
[
.I options
] [
.I file
]
.SH Description
\fIPico\fR is a simple, display-oriented text editor based on
the Pine message system composer.  As with Pine, commands are 
displayed at the bottom of the screen, and context-sensitive
help is provided.  As characters are typed they are immediately 
inserted into the text.
.PP
Editing commands are entered using control-key
combinations.  As a work-around for communications programs that
swallow certain control characters, you can emulate a control key
by pressing ESCAPE twice, followed by the desired control character,
e.g. "ESC ESC c" would be equivalent to entering a ctrl-c.
The editor has five basic features: paragraph justification,
searching, block cut/paste, a spelling checker, and a file browser.
.PP
Paragraph justification (or filling) takes place in the paragraph that
contains the cursor, or, if the cursor is between lines, in the paragraph
immediately below.  Paragraphs are delimited by blank lines, or by lines
beginning with a space or tab.  Unjustification can be done immediately
after justification using the control-U key combination. 
.PP
String searches are not sensitive to case.  A search begins at the current
cursor position and wraps around the end of the text.  The most recent   
search string is offered as the default in subsequent searches.
.PP
Blocks of text can be moved, copied or deleted with creative use of the
command for mark (ctrl-^), delete (ctrl-k) and undelete (ctrl-u).
The delete command will remove text between the "mark" and the current 
cursor position, and place it in the "cut" buffer.  The undelete command
effects a "paste" at the current cursor position.
.PP
The spell checker examines all words in the text.  It then offers, in 
turn, each misspelled word for correction while 
highlighting it in the text.  Spell checking can be cancelled at any time.  
Alternatively, \fIpico\fR will substitute for the default spell checking 
routine a routine defined by the SPELL environment variable.  The replacement 
routine should read standard input and write standard output.
.PP
The file browser is offered as an option in the "Read File" and "Write Out"
command prompts.  It is intended to help in searching for specific files 
and navigating directory hierarchies.  Filenames with sizes and names of 
directories in the current working directory are presented for selection.
The current working directory is displayed on the top line of the display 
while the list of available commands takes up the bottom two.  Several 
basic file manipulation functions are supported:  file renaming, copying, 
and deletion.
.PP
More specific help is available in \fIpico\fR's online help.
.SH Options
.IP \fB+\fIn\fB\fR
Causes \fIpico\fR to be started with the cursor located \fIn\fR lines 
into the file. (Note: no space between "+" sign and number)
.IP \fB-d\fR
Rebind the "delete" key so the character the cursor is on is rubbed out
rather than the character to its left.
.IP \fB-e\fR
Enable file name completion.
.IP \fB-f\fR
Use function keys for commands.  This option supported only in 
conjunction with UW Enhanced NCSA telnet.
.IP \fB-j\fR
Enable "Goto" command in the file browser.  This enables the command to
permit explicitly telling \fIpilot\fR which directory to visit.
.IP \fB-g\fR
Enable "Show Cursor" mode in file browser.  Cause cursor to be positioned
before the current selection rather than placed at the lower left of the
display.
.IP \fB-k\fR
Causes "Cut Text" command to remove characters from the cursor position
to the end of the line rather than remove the entire line.
.IP \fB-m\fR
Enable mouse functionality.  This only works when \fIpico\fR is run from
within an X Window System "xterm" window.
.IP \fB-n\fIn\fB\fR
The \-n\fIn\fR option enables new mail notification.  The \fIn\fR 
argument is optional, and specifies how often, in seconds, your 
mailbox is checked for new mail.  For example, \-n60 causes \fIpico\fR 
to check for new mail once every minute.  The default interval is 180 
seconds, while the minimum allowed is 30. (Note: no space between "n" and 
the number) 
.IP \fB-o\ \fIdir\fB\fR
Sets operating directory.  Only files within this directory are accessible.
Likewise, the file browser is limited to the specified directory subtree.
.IP \fB-r\fIn\fB\fR
Sets column used to limit the "Justify" command's right margin
.IP \fB-t\fR
Enable "tool" mode.  Intended for when \fIpico\fR is used as the
editor within other tools (e.g., Elm, Pnews).  \fIPico\fR will not prompt
for save on exit, and will not rename the buffer during the "Write Out"
command.
.IP \fB-v\fR
View the file only, disallowing any editing.
.IP \fB-w\fR
Disable word wrap (thus allow editing of long lines).
.IP \fB-x\fR
Disable keymenu at the bottom of the screen.
.IP \fB-z\fR
Enable ^Z suspension of \fIpico\fR.
.PP
Lastly, when a running \fIpico\fR is disconnected (i.e., receives a 
SIGHUP), \fIpico\fR will save the current work if needed before exiting.
Work is saved under the current filename with ".save" appended.
If the current work is unnamed, it is saved under the filename "pico.save".
.PP
.SH Bugs
The manner in which lines longer than the display width are dealt
is not immediately obvious.  Lines that continue beyond the edge
of the display are indicated by a '$' character at the end
of the line.  Long lines are scrolled horizontally as the cursor 
moves through them.
.SH Files
.ta 1.75i
.nf
pico.save	Unnamed interrupted work saved here.
*.save	Interrupted work on a named file is saved here.
.fi
.SH Authors
Michael Seibel <mikes@cac.washington.edu>
.br
Laurence Lundblade <lgl@cac.washington.edu>
.br
Pico was originally derived from MicroEmacs 3.6, by Dave G. Conroy.
.br
Pico is a trademark of the University of Washington. 
.br
Copyright 1989-1996 by the University of Washington.
.SH "See Also"
pine(1)
.br
Source distribution (part of the Pine Message System):
.br
   ftp://ftp.cac.washington.edu/mail/pine.tar.Z

96.02.17
